Subject: bug#21789: 25.0.50; Can' build Emacs (my first build since GIT migration)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Oct 2015 20:21:11 +0200

> From: Vincent Belaïche <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 31 Oct 2015 18:57:37 +0100
> 
> So, to get to the point, removing the core.autocrlf and suchlikes from
> the config is probably a good thing, but IMHO that is not enough,
> setting file eol attributes with discriminating wildcard should also be
> done.

No, you don't need anything except removing all of these settings.
The defaults are exactly what you want, when these settings are
absent.

> git config --system --unset core.autocrlf cd /path/to/project/fmtcount
> git config --local --bool -add core.autocrlf true cd
> /path/to/project/emacs git config --local --bool -add core.autocrlf
> false
> 
> The two last instructions are probably useless, but I made it so that in
> the future people on MSW wanting to build Emacs from source with msysGit
> won't fail like me.

The last one is not needed.

> I have now the following setting in the .git/config [core] section
> 
>    autocrlf = false

I don't have it, and never felt the need.